Bug 175309 - Problems with aic79xx driver in kernel 2.6.14
Problems with aic79xx driver in kernel 2.6.14
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 14:10 EST by Stephen Walton
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.15-1.1830_FC4smp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 06:43:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Walton 2005-12-08 14:10:20 EST
Description of problem:

I apologize ahead of time for an annoyingly vague report.  However:  I have a
dual Athlon system with Tyan S2469UGN moherboard, the version which includes
integrated SCSI.  This system has been completely stable under Fedora Core 4
since installation some months ago.  However, the recent update to kernel
2.6.14-1.1644_FC4smp seems to have introduced some instability in the aic79xx
driver.

Version-Release number of selected component (if applicable):

2.6.14-1.1644_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. Install kernel 2.6.14-1.1644_FC4smp on system.  Boot.
2. Use system for a while.

Actual results:
The system locks up with the following error in /var/log/messages repeated
multiple times:

Nov 30 08:57:54 apollo kernel: >>>>>>>>>>>>>>>>>> Dump Card State Begins
<<<<<<<<<<<<<<<<<
Nov 30 08:57:54 apollo kernel: scsi0: Dumping Card State at program address 0x95
Mode 0x22
Nov 30 08:57:54 apollo kernel: Card was paused
Nov 30 08:57:54 apollo kernel: HS_MAILBOX[0x0] INTCTL[0x80] SEQINTSTAT[0x0]
SAVED_MODE[0x11] 
Nov 30 08:57:54 apollo kernel: DFFSTAT[0x31] SCSISIGI[0x0] SCSIPHASE[0x0]
SCSIBUS[0x0] 
Nov 30 08:57:54 apollo kernel: LASTPHASE[0x1] SCSISEQ0[0x0] SCSISEQ1[0x12]
SEQCTL0[0x10] 
Nov 30 08:57:54 apollo kernel: SEQINTCTL[0x80] SEQ_FLAGS[0x0] SEQ_FLAGS2[0x0] 
Nov 30 08:57:54 apollo kernel: SSTAT0[0x0] SSTAT1[0x8] SSTAT2[0x0] SSTAT3[0x0] 
Nov 30 08:57:41 apollo apcupsd[2198]: NIS server startup succeeded
Nov 30 08:57:57 apollo kernel: PERRDIAG[0x8] SIMODE1[0xa4] LQISTAT0[0x0]
LQISTAT1[0x0] 
Nov 30 08:57:41 apollo apcupsd[2198]: apcupsd 3.10.18 (21 July 2005) redhat
startup succeeded
Nov 30 08:58:30 apollo kernel: LQISTAT2[0x0] LQOSTAT0[0x0] LQOSTAT1[0x0]
LQOSTAT2[0x1] 
Nov 30 08:58:30 apollo kernel: 
Nov 30 08:58:31 apollo kernel: SCB Count = 8 CMDS_PENDING = 2 LASTSCB 0x3
CURRSCB 0x3 NEXTSCB 0xff40
Nov 30 08:58:31 apollo kernel: qinstart = 12587 qinfifonext = 12587
Nov 30 08:58:31 apollo kernel: QINFIFO:
Nov 30 08:58:31 apollo kernel: WAITING_TID_QUEUES:
Nov 30 08:58:31 apollo kernel: Pending list:
Nov 30 08:58:31 apollo kernel:   4 FIFO_USE[0x0] SCB_CONTROL[0x60] SCB_SCSIID[0x7] 
Nov 30 08:58:31 apollo kernel:   7 FIFO_USE[0x0] SCB_CONTROL[0x60] SCB_SCSIID[0x7] 
Nov 30 08:58:31 apollo kernel: Total 2
Nov 30 08:58:31 apollo kernel: Kernel Free SCB list: 3 5 1 0 2 6 
Nov 30 08:58:31 apollo kernel: Sequencer Complete DMA-inprog list: 
Nov 30 08:58:31 apollo kernel: Sequencer Complete list: 
Nov 30 08:58:31 apollo kernel: Sequencer DMA-Up and Complete list: 
Nov 30 08:58:31 apollo kernel: 
Nov 30 08:58:31 apollo kernel: scsi0: FIFO0 Free, LONGJMP == 0x80ff, SCB 0x7
Nov 30 08:58:31 apollo kernel: SEQIMODE[0x3f] SEQINTSRC[0x0] DFCNTRL[0x0]
DFSTATUS[0x89] 
Nov 30 08:58:31 apollo kernel: SG_CACHE_SHADOW[0x2] SG_STATE[0x0] DFFSXFRCTL[0x0] 
Nov 30 08:58:31 apollo kernel: SOFFCNT[0x0] MDFFSTAT[0x5] SHADDR = 0x00, SHCNT =
0x0 
Nov 30 08:58:31 apollo kernel: HADDR = 0x00, HCNT = 0x0 CCSGCTL[0x10] 
Nov 30 08:58:31 apollo kernel: scsi0: FIFO1 Free, LONGJMP == 0x8277, SCB 0x3
Nov 30 08:58:31 apollo kernel: SEQIMODE[0x3f] SEQINTSRC[0x0] DFCNTRL[0x4]
DFSTATUS[0x89] 
Nov 30 08:58:31 apollo kernel: SG_CACHE_SHADOW[0x2] SG_STATE[0x0] DFFSXFRCTL[0x0] 
Nov 30 08:58:31 apollo kernel: SOFFCNT[0x0] MDFFSTAT[0x5] SHADDR = 0x00, SHCNT =
0x0 
Nov 30 08:58:31 apollo kernel: HADDR = 0x00, HCNT = 0x0 CCSGCTL[0x10] 
Nov 30 08:58:32 apollo kernel: LQIN: 0x55 0x0 0x0 0x3 0x0 0x0 0x0 0x0 0x0 0x0
0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 
Nov 30 08:58:32 apollo kernel: scsi0: LQISTATE = 0x0, LQOSTATE = 0x0, OPTIONMODE
= 0x42
Nov 30 08:58:32 apollo kernel: scsi0: OS_SPACE_CNT = 0x20 MAXCMDCNT = 0x1
Nov 30 08:58:32 apollo kernel: SIMODE0[0xc] 
Nov 30 08:58:32 apollo kernel: CCSCBCTL[0x0] 
Nov 30 08:58:32 apollo kernel: scsi0: REG0 == 0x3, SINDEX = 0x122, DINDEX = 0x104
Nov 30 08:58:32 apollo kernel: scsi0: SCBPTR == 0x3, SCB_NEXT == 0xff00,
SCB_NEXT2 == 0xff86
Nov 30 08:58:32 apollo kernel: CDB 2a 0 4 80 8 9c
Nov 30 08:58:32 apollo kernel: STACK: 0x29 0x15 0x125 0x125 0x0 0x257 0x25e 0x240
Nov 30 08:58:32 apollo kernel: <<<<<<<<<<<<<<<<< Dump Card State Ends
>>>>>>>>>>>>>>>>>>

Expected results:
Stable system.

Additional info:
Comment 1 Dave Jones 2006-02-03 01:41:51 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 Stephen Walton 2006-02-04 06:43:02 EST
As of this writing, I've been running 2.6.15-1.1830 on the problem system for 18
hours.  A backup has been run, which I've found in the past stresses the SCSI
subsystem pretty well (SCSI system and user disks backing up to a SCSI tape
drive).  So far, no problems, so I'm marking this bug as fixed in the current
release.

Note You need to log in before you can comment on or make changes to this bug.